io.netty.handler.codec.mqtt

## Enum MqttSubscriptionOption.RetainedHandlingPolicy

- java.lang.Object
- - java.lang.Enum<MqttSubscriptionOption.RetainedHandlingPolicy>
  - - io.netty.handler.codec.mqtt.MqttSubscriptionOption.RetainedHandlingPolicy

All Implemented Interfaces:
  Serializable, Comparable<MqttSubscriptionOption.RetainedHandlingPolicy>

Enclosing class:
  MqttSubscriptionOption

    public static enum MqttSubscriptionOption.RetainedHandlingPolicy
    extends Enum<MqttSubscriptionOption.RetainedHandlingPolicy>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DONT_SEND_AT_SUBSCRIBE`
`SEND_AT_SUBSCRIBE`
`SEND_AT_SUBSCRIBE_IF_NOT_YET_EXISTS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `value()`
`static MqttSubscriptionOption.RetainedHandlingPolicy` `valueOf(int value)`
`static MqttSubscriptionOption.RetainedHandlingPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttSubscriptionOption.RetainedHandlingPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEND_AT_SUBSCRIBE

    public static final MqttSubscriptionOption.RetainedHandlingPolicy SEND_AT_SUBSCRIBE

#### SEND_AT_SUBSCRIBE_IF_NOT_YET_EXISTS

    public static final MqttSubscriptionOption.RetainedHandlingPolicy SEND_AT_SUBSCRIBE_IF_NOT_YET_EXISTS

#### DONT_SEND_AT_SUBSCRIBE

    public static final MqttSubscriptionOption.RetainedHandlingPolicy DONT_SEND_AT_SUBSCRIBE

### Method Detail

#### values

    public static MqttSubscriptionOption.RetainedHandlingPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttSubscriptionOption.RetainedHandlingPolicy c : MqttSubscriptionOption.RetainedHandlingPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttSubscriptionOption.RetainedHandlingPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public int value()

#### valueOf

    public static MqttSubscriptionOption.RetainedHandlingPolicy valueOf(int value)